]> arthur.barton.de Git - bup.git/blobdiff - cmd/margin-cmd.py
Port cat-file to vfs2
[bup.git] / cmd / margin-cmd.py
index 9b7fd60a18efd24ab1801f32bcf02623be0cd3c1..ca502b90cd9768fbb95815b7a25e903e6b759c6a 100755 (executable)
@@ -1,7 +1,14 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
 import sys, struct, math
+
 from bup import options, git, _helpers
-from bup.helpers import *
+from bup.helpers import log
 
 POPULATION_OF_EARTH=6.7e9  # as of September, 2010